### Name: ssm
### Title: Define state-space model in a glm-style call.
### Aliases: ssm kfilter.ssm smoother.ssm C0 C0<- Fmat Fmat<- Gmat Gmat<-
###   m0 m0<- phi phi<- Vmat Vmat<- Wmat Wmat<- C0.ssm C0<-.ssm Fmat.ssm
###   Fmat<-.ssm Gmat.ssm Gmat<-.ssm m0.ssm m0<-.ssm phi.ssm phi<-.ssm
###   Vmat.ssm Vmat<-.ssm Wmat.ssm Wmat<-.ssm getFit print.ssm
### Keywords: models

### ** Examples

data(vandrivers)
vandrivers$y <- ts(vandrivers$y,start=1969,frequency=12)
vd.time <- time(vandrivers$y)
vd <- ssm( y ~ tvar(1) + seatbelt + sumseason(vd.time,12),
          family=poisson(link="log"),
          data=vandrivers,
          phi = c(1,0.0004),
          C0=diag(13)*100,
          fit=FALSE
          )
phi(vd)["(Intercept)"] <- exp(- 2*3.703307 )
C0(vd) <- diag(13)*1000
vd.res <- kfs(vd)

plot( vd.res$m[,1:3] )

attach(vandrivers)
plot(y,ylim=c(0,20))
lines(exp(vd.res$m[,1]+vd.res$m[,2]*seatbelt),lwd=2 )
detach(vandrivers)



